libsigc++: sigc::volatile_mem_functor1< T_return, T_obj, T_arg1 > Class Template Reference

libsigc++ 2.12.2

Public Types | Public Member Functions | Protected Attributes | List of all members
sigc::volatile_mem_functor1< T_return, T_obj, T_arg1 > Class Template Reference
Functors » mem_fun()

volatile_mem_functor1 wraps volatile methods with 1 argument(s). More...

`#include <sigc++/functors/mem_fun.h>`

Inheritance diagram for sigc::volatile_mem_functor1< T_return, T_obj, T_arg1 >:
[legend]

## Public Types
typedef T_return(T_obj::* | function_type) (T_arg1) volatile
typedef T_return | result_type

## Public Member Functions
| volatile_mem_functor1 ()
| Constructs an invalid functor.
| volatile_mem_functor1 (function_type _A_func)
| Constructs a volatile_mem_functor1 object that wraps the passed method.
T_return | operator() (T_obj & _A_obj, type_trait_take_t< T_arg1 > _A_a1) const
| Execute the wrapped method operating on the passed instance.
T_return | operator() (T_obj * _A_obj, type_trait_take_t< T_arg1 > _A_a1) const
| Execute the wrapped method operating on the passed instance.

## Protected Attributes
function_type | func_ptr_

## Detailed Description

template <class T_return, class T_obj, class T_arg1>
class sigc::volatile_mem_functor1< T_return, T_obj, T_arg1 >

volatile_mem_functor1 wraps volatile methods with 1 argument(s).

Use the convenience function mem_fun() to create an instance of volatile_mem_functor1.

The following template arguments are used:

- T_arg1 Argument type used in the definition of operator()().
- T_return The return type of operator()().
- T_obj The object type.

## Member Typedef Documentation

## ◆ function_type

template <class T_return, class T_obj, class T_arg1>

typedef T_return(T_obj::* sigc::volatile_mem_functor1< T_return, T_obj, T_arg1 >::function_type) (T_arg1) volatile

## ◆ result_type

template <class T_return, class T_obj, class T_arg1>

typedef T_return sigc::volatile_mem_functor1< T_return, T_obj, T_arg1 >::result_type

## Constructor & Destructor Documentation

## ◆ volatile_mem_functor1() [1/2]

template <class T_return, class T_obj, class T_arg1>

sigc::volatile_mem_functor1< T_return, T_obj, T_arg1 >::volatile_mem_functor1 | ( |  | ) |
| inline

Constructs an invalid functor.

## ◆ volatile_mem_functor1() [2/2]

template <class T_return, class T_obj, class T_arg1>

sigc::volatile_mem_functor1< T_return, T_obj, T_arg1 >::volatile_mem_functor1 | ( | function_type | _A_func | ) |
| inlineexplicit

Constructs a volatile_mem_functor1 object that wraps the passed method.

Parameters

  _A_func | Pointer to method will be invoked from operator()().

## Member Function Documentation

## ◆ operator()() [1/2]

template <class T_return, class T_obj, class T_arg1>

T_return sigc::volatile_mem_functor1< T_return, T_obj, T_arg1 >::operator() | ( | T_obj & | _A_obj,
|  | type_trait_take_t< T_arg1 > | _A_a1 ) const
| inline

Execute the wrapped method operating on the passed instance.

Parameters

  _A_obj | Reference to instance the method should operate on.
  _A_a1 | Argument to be passed on to the method.

Returns
  The return value of the method invocation.

## ◆ operator()() [2/2]

template <class T_return, class T_obj, class T_arg1>

T_return sigc::volatile_mem_functor1< T_return, T_obj, T_arg1 >::operator() | ( | T_obj * | _A_obj,
|  | type_trait_take_t< T_arg1 > | _A_a1 ) const
| inline

Execute the wrapped method operating on the passed instance.

Deprecated
  Please use the constructor that takes the object by reference instead.

Parameters

  _A_obj | Pointer to instance the method should operate on.
  _A_a1 | Argument to be passed on to the method.

Returns
  The return value of the method invocation.

## Member Data Documentation

## ◆ func_ptr_

template <class T_return, class T_obj, class T_arg1>

function_type sigc::volatile_mem_functor1< T_return, T_obj, T_arg1 >::func_ptr_
| protected